uniform sampler2D screenColorBuffer;
uniform float amount;
uniform float seed;

float rand(vec2 co){
    return fract(sin(dot(co.xy ,vec2(amount+seed+12.9898,amount+seed+78.233))) * 43758.5453);
}

void main(void)
{
	gl_FragColor = texture2D(screenColorBuffer,gl_TexCoord[0].st) +(0.25*amount)- amount*rand(gl_TexCoord[0].st);
	gl_FragColor.a = texture2D(screenColorBuffer,gl_TexCoord[0].st).a+amount*rand(gl_TexCoord[0].st);    
}